summaryrefslogtreecommitdiffstats
path: root/usr.bin
diff options
context:
space:
mode:
Diffstat (limited to 'usr.bin')
-rw-r--r--usr.bin/ar/acpyacc.y4
-rw-r--r--usr.bin/ar/ar.c2
-rw-r--r--usr.bin/ar/write.c10
-rw-r--r--usr.bin/gzip/Makefile2
-rw-r--r--usr.bin/gzip/gzip.18
-rw-r--r--usr.bin/gzip/gzip.c11
-rw-r--r--usr.bin/gzip/zdiff119
-rw-r--r--usr.bin/gzip/zdiff.159
-rw-r--r--usr.bin/gzip/zuncompress.c2
-rw-r--r--usr.bin/netstat/netisr.c65
-rw-r--r--usr.bin/nfsstat/nfsstat.c4
-rw-r--r--usr.bin/rpcgen/rpc_hout.c2
-rw-r--r--usr.bin/rpcgen/rpc_svcout.c2
-rw-r--r--usr.bin/rpcgen/rpc_tblout.c4
-rw-r--r--usr.bin/showmount/showmount.c2
-rw-r--r--usr.bin/top/machine.c1
-rw-r--r--usr.bin/truss/amd64-fbsd.c2
-rw-r--r--usr.bin/truss/amd64-fbsd32.c2
-rw-r--r--usr.bin/truss/i386-fbsd.c2
-rw-r--r--usr.bin/truss/ia64-fbsd.c2
-rw-r--r--usr.bin/truss/main.c2
-rw-r--r--usr.bin/truss/powerpc-fbsd.c2
-rw-r--r--usr.bin/truss/powerpc64-fbsd.c2
-rw-r--r--usr.bin/truss/sparc64-fbsd.c2
24 files changed, 210 insertions, 103 deletions
diff --git a/usr.bin/ar/acpyacc.y b/usr.bin/ar/acpyacc.y
index e1a6e6d..99a23c7 100644
--- a/usr.bin/ar/acpyacc.y
+++ b/usr.bin/ar/acpyacc.y
@@ -358,7 +358,7 @@ arscp_copy(int ifd, int ofd)
/*
* Add all modules of archive to current archive, if list != NULL,
- * only those modules speicifed in 'list' will be added.
+ * only those modules specified in 'list' will be added.
*/
static void
arscp_addlib(char *archive, struct list *list)
@@ -545,7 +545,7 @@ arscp_end(int eval)
}
/*
- * Check if target spcified, i.e, whether OPEN or CREATE has been
+ * Check if target specified, i.e, whether OPEN or CREATE has been
* issued by user.
*/
static int
diff --git a/usr.bin/ar/ar.c b/usr.bin/ar/ar.c
index bb53aa4..4b1b7a0 100644
--- a/usr.bin/ar/ar.c
+++ b/usr.bin/ar/ar.c
@@ -109,7 +109,7 @@ main(int argc, char **argv)
bsdar->progname = "ar";
/* Act like ranlib if our name ends in "ranlib"; this
- * accomodates arm-freebsd7.1-ranlib, bsdranlib, etc. */
+ * accommodates arm-freebsd7.1-ranlib, bsdranlib, etc. */
len = strlen(bsdar->progname);
if (len >= strlen("ranlib") &&
strcmp(bsdar->progname + len - strlen("ranlib"), "ranlib") == 0) {
diff --git a/usr.bin/ar/write.c b/usr.bin/ar/write.c
index d27a767..5b6d369 100644
--- a/usr.bin/ar/write.c
+++ b/usr.bin/ar/write.c
@@ -113,7 +113,7 @@ ar_mode_A(struct bsdar *bsdar)
/*
* Create object from file, return created obj upon success, or NULL
* when an error occurs or the member is not newer than existing
- * one while -u is specifed.
+ * one while -u is specified.
*/
static struct ar_obj *
create_obj_from_file(struct bsdar *bsdar, const char *name, time_t mtime)
@@ -220,7 +220,7 @@ insert_obj(struct bsdar *bsdar, struct ar_obj *obj, struct ar_obj *pos)
if (pos == NULL || obj == pos)
/*
- * If the object to move happens to be the posistion obj,
+ * If the object to move happens to be the position obj,
* or if there is not a pos obj, move it to tail.
*/
goto tail;
@@ -418,7 +418,7 @@ write_archive(struct bsdar *bsdar, char mode)
if (mode == 'A') {
/*
* Read objects from the target archive of ADDLIB command.
- * If there are members spcified in argv, read those members
+ * If there are members specified in argv, read those members
* only, otherwise the entire archive will be read.
*/
read_objs(bsdar, bsdar->addlib, 1);
@@ -438,7 +438,7 @@ write_archive(struct bsdar *bsdar, char mode)
/*
* If can't find `pos' specified by user,
- * sliently insert objects at tail.
+ * silently insert objects at tail.
*/
if (pos == NULL)
bsdar->options &= ~(AR_A | AR_B);
@@ -699,7 +699,7 @@ create_symtab_entry(struct bsdar *bsdar, void *maddr, size_t size)
return;
}
if (elf_kind(e) != ELF_K_ELF) {
- /* Sliently ignore non-elf member. */
+ /* Silently ignore non-elf member. */
elf_end(e);
return;
}
diff --git a/usr.bin/gzip/Makefile b/usr.bin/gzip/Makefile
index 0480337..16a825f 100644
--- a/usr.bin/gzip/Makefile
+++ b/usr.bin/gzip/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.10 2006/05/12 02:01:15 mrg Exp $
+# $NetBSD: Makefile,v 1.13 2009/04/14 22:15:20 lukem Exp $
# $FreeBSD$
.include <bsd.own.mk>
diff --git a/usr.bin/gzip/gzip.1 b/usr.bin/gzip/gzip.1
index 848a4b3..c0dc670 100644
--- a/usr.bin/gzip/gzip.1
+++ b/usr.bin/gzip/gzip.1
@@ -25,7 +25,7 @@
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD$
-.Dd April 27, 2010
+.Dd May 23, 2011
.Dt GZIP 1
.Os
.Sh NAME
@@ -127,9 +127,9 @@ stream, leaving files intact.
This option selects decompression rather than compression.
.It Fl f , -force
This option turns on force mode.
-This allows files with multiple links, overwriting of pre-existing
-files, reading from or writing to a terminal, and when combined
-with the
+This allows files with multiple links, symbolic links to regular files,
+overwriting of pre-existing files, reading from or writing to a terminal,
+and when combined with the
.Fl c
option, allowing non-compressed data to pass through unchanged.
.It Fl h , -help
diff --git a/usr.bin/gzip/gzip.c b/usr.bin/gzip/gzip.c
index d86e84b..927493e 100644
--- a/usr.bin/gzip/gzip.c
+++ b/usr.bin/gzip/gzip.c
@@ -1,4 +1,4 @@
-/* $NetBSD: gzip.c,v 1.97 2009/10/11 09:17:21 mrg Exp $ */
+/* $NetBSD: gzip.c,v 1.99 2011/03/23 12:59:44 tsutsui Exp $ */
/*-
* Copyright (c) 1997, 1998, 2003, 2004, 2006 Matthew R. Green
@@ -31,7 +31,7 @@
#ifndef lint
__COPYRIGHT("@(#) Copyright (c) 1997, 1998, 2003, 2004, 2006\
Matthew R. Green. All rights reserved.");
-__RCSID("$FreeBSD$");
+__FBSDID("$FreeBSD$");
#endif /* not lint */
/*
@@ -146,7 +146,7 @@ static suffixes_t suffixes[] = {
#define NUM_SUFFIXES (sizeof suffixes / sizeof suffixes[0])
#define SUFFIX_MAXLEN 30
-static const char gzip_version[] = "FreeBSD gzip 20100407";
+static const char gzip_version[] = "FreeBSD gzip 20110523";
#ifndef SMALL
static const char gzip_copyright[] = \
@@ -314,7 +314,7 @@ main(int argc, char **argv)
dflag = cflag = 1;
#ifdef SMALL
-#define OPT_LIST "123456789cdhltV"
+#define OPT_LIST "123456789cdhlV"
#else
#define OPT_LIST "123456789acdfhklLNnqrS:tVv"
#endif
@@ -918,6 +918,7 @@ gz_uncompress(int in, int out, char *pre, size_t prelen, off_t *gsizep,
case Z_BUF_ERROR:
if (z.avail_out > 0 && !done_reading)
continue;
+
case Z_STREAM_END:
case Z_OK:
break;
@@ -1781,7 +1782,7 @@ handle_pathname(char *path)
}
retry:
- if (stat(path, &sb) != 0) {
+ if (stat(path, &sb) != 0 || (fflag == 0 && lstat(path, &sb) != 0)) {
/* lets try <path>.gz if we're decompressing */
if (dflag && s == NULL && errno == ENOENT) {
len = strlen(path);
diff --git a/usr.bin/gzip/zdiff b/usr.bin/gzip/zdiff
index 34caf2b..9e9aca6 100644
--- a/usr.bin/gzip/zdiff
+++ b/usr.bin/gzip/zdiff
@@ -1,10 +1,12 @@
#!/bin/sh -
#
-# $NetBSD: zdiff,v 1.3 2004/03/29 10:01:00 wiz Exp $
+# $NetBSD: zdiff,v 1.5 2010/04/14 20:30:28 joerg Exp $
+#
# $OpenBSD: zdiff,v 1.2 2003/07/29 07:42:44 otto Exp $
#
#-
# Copyright (c) 2003 Todd C. Miller <Todd.Miller@courtesan.com>
+# Copyright (c) 2010 Joerg Sonnenberger <joerg@NetBSD.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
@@ -31,7 +33,57 @@ case $0 in
*) prog=diff
;;
esac
-USAGE="usage: z$prog [options] file1 [file2]"
+USAGE="usage: $0 [options] file1 [file2]"
+
+check_suffix() {
+ case "$1" in
+ *[._-][Zz])
+ setvar $2 "${1%??}"
+ setvar $3 "gzip -cdqf"
+ ;;
+ *[._-]bz)
+ setvar $2 "${1%???}"
+ setvar $3 "bzip2 -cdqf"
+ ;;
+ *[._-]gz)
+ setvar $2 "${1%???}"
+ setvar $3 "gzip -cdqf"
+ ;;
+ *[._-]xz)
+ setvar $2 "${1%???}"
+ setvar $3 "xz -cdqf"
+ ;;
+ *[._-]bz2)
+ setvar $2 "${1%????}"
+ setvar $3 "bzip2 -cdqf"
+ ;;
+ *[._-]lzma)
+ setvar $2 "${1%?????}"
+ setvar $3 "xz -cdqf"
+ ;;
+ *.t[ag]z)
+ setvar $2 "${1%??}"ar
+ setvar $3 "gzip -cdqf"
+ ;;
+ *.tbz)
+ setvar $2 "${1%??}"ar
+ setvar $3 "bzip2 -cdqf"
+ ;;
+ *.tbz2)
+ setvar $2 "${1%???}"ar
+ setvar $3 "bzip2 -cdqf"
+ ;;
+ *.t[lx]z)
+ setvar $2 "${1%??}"ar
+ setvar $3 "xz -cdqf"
+ ;;
+ *)
+ setvar $2 "$1"
+ setvar $3 ""
+ ;;
+ esac
+}
+
# Pull out any command line flags so we can pass them to diff/cmp
# XXX - assumes there is no optarg
@@ -42,6 +94,9 @@ while test $# -ne 0; do
shift
break
;;
+ -)
+ break
+ ;;
-*)
flags="$flags $1"
shift
@@ -55,52 +110,28 @@ done
if [ $# -eq 1 ]; then
# One file given, compare compressed to uncompressed
files="$1"
- case "$1" in
- *[._-][Zz])
- files="${1%??}"
- ;;
- *[._-]gz)
- files="${1%???}"
- ;;
- *.t[ag]z)
- files="${1%??}"ar
- ;;
- *) echo "z$prog: unknown suffix" 1>&2
- exit 1
- esac
- gzip -cdfq "$1" | $prog $flags - "$files"
+ check_suffix "$1" files filt
+ if [ -z "$filt" ]; then
+ echo "z$prog: unknown suffix" 1>&2
+ exit 1
+ fi
+ $filt -- "$1" | $prog $flags -- - "$files"
status=$?
elif [ $# -eq 2 ]; then
# Two files given, compare the two uncompressing as needed
- case "$1" in
- *[._-][Zz]|*[._-]gz|*.t[ag]z)
- files=-
- filt="gzip -cdfq $1"
- ;;
- *)
- files="$1"
- ;;
- esac
- case "$2" in
- *[._-][Zz]|*[._-]gz|*.t[ag]z)
- if [ "$files" = "-" ]; then
- tmp=`mktemp -t z$prog.XXXXXXXXXX` || exit 1
- trap "rm -f $tmp" 0 1 2 3 13 15
- gzip -cdfq "$2" > $tmp
- files="$files $tmp"
- else
- files="$files -"
- filt="gzip -cdfq $2"
- fi
- ;;
- *)
- files="$files $2"
- ;;
- esac
- if [ -n "$filt" ]; then
- $filt | $prog $flags $files
+ check_suffix "$1" files filt
+ check_suffix "$2" files2 filt2
+ if [ -z "$filt" -a -z "$filt2" ]; then
+ $prog $flags -- "$1" "$2"
+ elif [ -z "$filt" -a -n "$filt2" -a "$1" != "-" ]; then
+ $filt2 -- "$2" | $prog $flags -- "$1" -
+ elif [ -n "$filt" -a -z "$filt2" -a "$2" != "-" ]; then
+ $filt -- "$1" | $prog $flags -- - "$2"
else
- $prog $flags $files
+ tmp=`mktemp -t z$prog.XXXXXXXXXX` || exit 1
+ trap "rm -f $tmp" 0 1 2 3 13 15
+ ${filt2:-cat} -- "$2" > $tmp || exit $?
+ ${filt:-cat} -- "$1" | $prog $flags -- - "$tmp"
fi
status=$?
else
diff --git a/usr.bin/gzip/zdiff.1 b/usr.bin/gzip/zdiff.1
index 2a6a4c8..52b5fbd 100644
--- a/usr.bin/gzip/zdiff.1
+++ b/usr.bin/gzip/zdiff.1
@@ -1,7 +1,8 @@
-.\" $NetBSD: zdiff.1,v 1.3 2003/12/28 12:48:03 wiz Exp $
+.\" $NetBSD: zdiff.1,v 1.5 2010/04/14 19:52:05 wiz Exp $
.\" $OpenBSD: zdiff.1,v 1.2 2003/07/13 17:39:14 millert Exp $
.\"
.\" Copyright (c) 2003 Todd C. Miller <Todd.Miller@courtesan.com>
+.\" Copyright (c) 2010 Joerg Sonnenberger <joerg@NetBSD.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
@@ -20,7 +21,7 @@
.\" Materiel Command, USAF, under agreement number F39502-99-1-0512.
.\"
.\" $FreeBSD$
-.Dd January 26, 2007
+.Dd May 23, 2011
.Dt ZDIFF 1
.Os
.Sh NAME
@@ -45,15 +46,6 @@ are filters that invoke
or
.Xr diff 1
respectively to compare compressed files.
-Such files generally have a
-.Dq Z
-or
-.Dq gz
-extension (both the
-.Xr compress 1
-and
-.Xr gzip 1
-formats are supported).
Any
.Ar options
that are specified are passed to
@@ -70,6 +62,45 @@ When both
or
.Ar file2
are specified, either file may be compressed.
+.Pp
+Extensions handled by
+.Xr gzip 1 :
+.Bl -bullet -compact
+.It
+z, Z,
+.It
+gz,
+.It
+taz,
+.It
+tgz.
+.El
+.Pp
+Extensions handled by
+.Xr bzip2 1 :
+.Bl -bullet -compact
+.It
+bz,
+.It
+bz2,
+.It
+tbz,
+.It
+tbz2.
+.El
+.Pp
+Extensions handled by
+.Xr xz 1 :
+.Bl -bullet -compact
+.It
+lzma,
+.It
+xz,
+.It
+tlz,
+.It
+txz.
+.El
.Sh ENVIRONMENT
.Bl -tag -width "TMPDIR"
.It Ev TMPDIR
@@ -88,9 +119,11 @@ Temporary file for
.Nm zdiff .
.El
.Sh SEE ALSO
+.Xr bzip2 1 ,
.Xr cmp 1 ,
-.Xr compress 1 ,
-.Xr diff 1
+.Xr diff 1 ,
+.Xr gzip 1 ,
+.Xr xz 1
.Sh CAVEATS
.Nm zcmp
and
diff --git a/usr.bin/gzip/zuncompress.c b/usr.bin/gzip/zuncompress.c
index 8e619bd..f68ba59 100644
--- a/usr.bin/gzip/zuncompress.c
+++ b/usr.bin/gzip/zuncompress.c
@@ -1,4 +1,4 @@
-/* $NetBSD: zuncompress.c,v 1.7 2009/04/12 10:31:14 lukem Exp $ */
+/* $NetBSD: zuncompress.c,v 1.8 2010/11/06 21:42:32 mrg Exp $ */
/*-
* Copyright (c) 1985, 1986, 1992, 1993
diff --git a/usr.bin/netstat/netisr.c b/usr.bin/netstat/netisr.c
index 25f341c..cc05c38 100644
--- a/usr.bin/netstat/netisr.c
+++ b/usr.bin/netstat/netisr.c
@@ -60,8 +60,7 @@ static u_int numthreads;
static u_int defaultqlimit;
static u_int maxqlimit;
-static u_int direct;
-static u_int direct_force;
+static char dispatch_policy[20];
static struct sysctl_netisr_proto *proto_array;
static u_int proto_array_len;
@@ -77,6 +76,32 @@ static u_int *nws_array;
static u_int maxprot;
static void
+netisr_dispatch_policy_to_string(u_int dispatch_policy, char *buf,
+ size_t buflen)
+{
+ const char *str;
+
+ switch (dispatch_policy) {
+ case NETISR_DISPATCH_DEFAULT:
+ str = "default";
+ break;
+ case NETISR_DISPATCH_DEFERRED:
+ str = "deferred";
+ break;
+ case NETISR_DISPATCH_HYBRID:
+ str = "hybrid";
+ break;
+ case NETISR_DISPATCH_DIRECT:
+ str = "direct";
+ break;
+ default:
+ str = "unknown";
+ break;
+ }
+ snprintf(buf, buflen, "%s", str);
+}
+
+static void
netisr_load_kvm_uint(kvm_t *kd, char *name, u_int *p)
{
struct nlist nl[] = {
@@ -144,6 +169,7 @@ netisr_protoispresent(u_int proto)
static void
netisr_load_kvm_config(kvm_t *kd)
{
+ u_int tmp;
netisr_load_kvm_uint(kd, "_netisr_bindthreads", &bindthreads);
netisr_load_kvm_uint(kd, "_netisr_maxthreads", &maxthreads);
@@ -152,8 +178,9 @@ netisr_load_kvm_config(kvm_t *kd)
netisr_load_kvm_uint(kd, "_netisr_defaultqlimit", &defaultqlimit);
netisr_load_kvm_uint(kd, "_netisr_maxqlimit", &maxqlimit);
- netisr_load_kvm_uint(kd, "_netisr_direct", &direct);
- netisr_load_kvm_uint(kd, "_netisr_direct_force", &direct_force);
+ netisr_load_kvm_uint(kd, "_netisr_dispatch_policy", &tmp);
+ netisr_dispatch_policy_to_string(tmp, dispatch_policy,
+ sizeof(dispatch_policy));
}
static void
@@ -169,6 +196,17 @@ netisr_load_sysctl_uint(const char *name, u_int *p)
}
static void
+netisr_load_sysctl_string(const char *name, char *p, size_t len)
+{
+ size_t retlen;
+
+ retlen = len;
+ if (sysctlbyname(name, p, &retlen, NULL, 0) < 0)
+ err(-1, "%s", name);
+ p[len - 1] = '\0';
+}
+
+static void
netisr_load_sysctl_config(void)
{
@@ -179,8 +217,8 @@ netisr_load_sysctl_config(void)
netisr_load_sysctl_uint("net.isr.defaultqlimit", &defaultqlimit);
netisr_load_sysctl_uint("net.isr.maxqlimit", &maxqlimit);
- netisr_load_sysctl_uint("net.isr.direct", &direct);
- netisr_load_sysctl_uint("net.isr.direct_force", &direct_force);
+ netisr_load_sysctl_string("net.isr.dispatch", dispatch_policy,
+ sizeof(dispatch_policy));
}
static void
@@ -244,6 +282,7 @@ netisr_load_kvm_proto(kvm_t *kd)
snpp->snp_proto = i;
snpp->snp_qlimit = npp->np_qlimit;
snpp->snp_policy = npp->np_policy;
+ snpp->snp_dispatch = npp->np_dispatch;
if (npp->np_m2flow != NULL)
snpp->snp_flags |= NETISR_SNP_FLAGS_M2FLOW;
if (npp->np_m2cpuid != NULL)
@@ -418,6 +457,7 @@ netisr_load_sysctl_work(void)
static void
netisr_print_proto(struct sysctl_netisr_proto *snpp)
{
+ char tmp[20];
printf("%-6s", snpp->snp_name);
printf(" %5u", snpp->snp_proto);
@@ -426,6 +466,9 @@ netisr_print_proto(struct sysctl_netisr_proto *snpp)
(snpp->snp_policy == NETISR_POLICY_SOURCE) ? "source" :
(snpp->snp_policy == NETISR_POLICY_FLOW) ? "flow" :
(snpp->snp_policy == NETISR_POLICY_CPU) ? "cpu" : "-");
+ netisr_dispatch_policy_to_string(snpp->snp_dispatch, tmp,
+ sizeof(tmp));
+ printf(" %8s", tmp);
printf(" %s%s%s\n",
(snpp->snp_flags & NETISR_SNP_FLAGS_M2CPUID) ? "C" : "-",
(snpp->snp_flags & NETISR_SNP_FLAGS_DRAINEDCPU) ? "D" : "-",
@@ -483,17 +526,15 @@ netisr_stats(void *kvmd)
printf("%-25s %12u %12u\n", "Thread count", numthreads, maxthreads);
printf("%-25s %12u %12u\n", "Default queue limit", defaultqlimit,
maxqlimit);
- printf("%-25s %12s %12s\n", "Direct dispatch",
- direct ? "enabled" : "disabled", "n/a");
- printf("%-25s %12s %12s\n", "Forced direct dispatch",
- direct_force ? "enabled" : "disabled", "n/a");
+ printf("%-25s %12s %12s\n", "Dispatch policy", dispatch_policy,
+ "n/a");
printf("%-25s %12s %12s\n", "Threads bound to CPUs",
bindthreads ? "enabled" : "disabled", "n/a");
printf("\n");
printf("Protocols:\n");
- printf("%-6s %5s %6s %-6s %-5s\n", "Name", "Proto", "QLimit",
- "Policy", "Flags");
+ printf("%-6s %5s %6s %-6s %-8s %-5s\n", "Name", "Proto", "QLimit",
+ "Policy", "Dispatch", "Flags");
for (i = 0; i < proto_array_len; i++) {
snpp = &proto_array[i];
netisr_print_proto(snpp);
diff --git a/usr.bin/nfsstat/nfsstat.c b/usr.bin/nfsstat/nfsstat.c
index b833123..b8f29e6 100644
--- a/usr.bin/nfsstat/nfsstat.c
+++ b/usr.bin/nfsstat/nfsstat.c
@@ -221,10 +221,10 @@ readstats(struct nfsstats **stp, struct nfsrvstats **srvstp, int zero)
if (zero)
bzero(&zerostat, sizeof(zerostat));
buflen = sizeof(struct nfsstats);
- if (*stp != NULL && sysctlbyname("vfs.nfs.nfsstats", *stp,
+ if (*stp != NULL && sysctlbyname("vfs.oldnfs.nfsstats", *stp,
&buflen, zero ? &zerostat : NULL, zero ? buflen : 0) < 0) {
if (errno != ENOENT)
- err(1, "sysctl: vfs.nfs.nfsstats");
+ err(1, "sysctl: vfs.oldnfs.nfsstats");
*stp = NULL;
}
buflen = sizeof(struct nfsrvstats);
diff --git a/usr.bin/rpcgen/rpc_hout.c b/usr.bin/rpcgen/rpc_hout.c
index 7607ef7..6aa6ff7 100644
--- a/usr.bin/rpcgen/rpc_hout.c
+++ b/usr.bin/rpcgen/rpc_hout.c
@@ -500,7 +500,7 @@ pdeclaration(const char *name, declaration *dec, int tab, const char *separator)
break;
}
}
- f_print(fout, separator);
+ fputs(separator, fout);
}
static int
diff --git a/usr.bin/rpcgen/rpc_svcout.c b/usr.bin/rpcgen/rpc_svcout.c
index 40fc61c..122408b 100644
--- a/usr.bin/rpcgen/rpc_svcout.c
+++ b/usr.bin/rpcgen/rpc_svcout.c
@@ -349,7 +349,7 @@ write_real_program(definition *def)
f_print(fout, "(");
/* arg name */
if (proc->arg_num > 1)
- f_print(fout, proc->args.argname);
+ fputs(proc->args.argname, fout);
else
ptype(proc->args.decls->decl.prefix,
proc->args.decls->decl.type, 0);
diff --git a/usr.bin/rpcgen/rpc_tblout.c b/usr.bin/rpcgen/rpc_tblout.c
index f96bdfc..618d1f9 100644
--- a/usr.bin/rpcgen/rpc_tblout.c
+++ b/usr.bin/rpcgen/rpc_tblout.c
@@ -103,7 +103,7 @@ write_table(definition *def)
expected = 0;
} else {
expected = 1;
- f_print(fout, null_entry);
+ fputs(null_entry, fout);
}
for (proc = vp->procs; proc != NULL; proc = proc->next) {
current = atoi(proc->proc_num);
@@ -141,7 +141,7 @@ write_table(definition *def)
}
/* print the table trailer */
- f_print(fout, tbl_end);
+ fputs(tbl_end, fout);
f_print(fout, tbl_nproc, progvers, progvers, progvers);
}
}
diff --git a/usr.bin/showmount/showmount.c b/usr.bin/showmount/showmount.c
index f4372b5..2635250 100644
--- a/usr.bin/showmount/showmount.c
+++ b/usr.bin/showmount/showmount.c
@@ -185,7 +185,7 @@ main(int argc, char **argv)
printf("Exports list on %s:\n", host);
exp = exportslist;
while (exp) {
- printf("%-35s", exp->ex_dirp);
+ printf("%-34s ", exp->ex_dirp);
grp = exp->ex_groups;
if (grp == NULL) {
printf("Everyone\n");
diff --git a/usr.bin/top/machine.c b/usr.bin/top/machine.c
index bd0f7d8..f98f64e 100644
--- a/usr.bin/top/machine.c
+++ b/usr.bin/top/machine.c
@@ -35,6 +35,7 @@
#include <sys/user.h>
#include <sys/vmmeter.h>
+#include <err.h>
#include <kvm.h>
#include <math.h>
#include <nlist.h>
diff --git a/usr.bin/truss/amd64-fbsd.c b/usr.bin/truss/amd64-fbsd.c
index a4e5311..6ed3812 100644
--- a/usr.bin/truss/amd64-fbsd.c
+++ b/usr.bin/truss/amd64-fbsd.c
@@ -128,7 +128,7 @@ amd64_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
reg = 0;
syscall_num = regs.r_rax;
diff --git a/usr.bin/truss/amd64-fbsd32.c b/usr.bin/truss/amd64-fbsd32.c
index b25b818..c3dd183 100644
--- a/usr.bin/truss/amd64-fbsd32.c
+++ b/usr.bin/truss/amd64-fbsd32.c
@@ -136,7 +136,7 @@ amd64_fbsd32_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
syscall_num = regs.r_rax;
switch (syscall_num) {
diff --git a/usr.bin/truss/i386-fbsd.c b/usr.bin/truss/i386-fbsd.c
index 70b051c..82f1db0 100644
--- a/usr.bin/truss/i386-fbsd.c
+++ b/usr.bin/truss/i386-fbsd.c
@@ -131,7 +131,7 @@ i386_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
syscall_num = regs.r_eax;
switch (syscall_num) {
diff --git a/usr.bin/truss/ia64-fbsd.c b/usr.bin/truss/ia64-fbsd.c
index 285e314..8fc06c6 100644
--- a/usr.bin/truss/ia64-fbsd.c
+++ b/usr.bin/truss/ia64-fbsd.c
@@ -128,7 +128,7 @@ ia64_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
syscall_num = regs.r_scratch.gr15; /* XXX double-check. */
if (syscall_num == SYS_syscall || syscall_num == SYS___syscall)
diff --git a/usr.bin/truss/main.c b/usr.bin/truss/main.c
index e828046..a74fe1c 100644
--- a/usr.bin/truss/main.c
+++ b/usr.bin/truss/main.c
@@ -33,7 +33,7 @@
__FBSDID("$FreeBSD$");
/*
- * The main module for truss. Suprisingly simple, but, then, the other
+ * The main module for truss. Surprisingly simple, but, then, the other
* files handle the bulk of the work. And, of course, the kernel has to
* do a lot of the work :).
*/
diff --git a/usr.bin/truss/powerpc-fbsd.c b/usr.bin/truss/powerpc-fbsd.c
index 5643f72..285b10a 100644
--- a/usr.bin/truss/powerpc-fbsd.c
+++ b/usr.bin/truss/powerpc-fbsd.c
@@ -137,7 +137,7 @@ powerpc_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
regargs = NARGREG;
syscall_num = regs.fixreg[0];
diff --git a/usr.bin/truss/powerpc64-fbsd.c b/usr.bin/truss/powerpc64-fbsd.c
index f072544..145c330 100644
--- a/usr.bin/truss/powerpc64-fbsd.c
+++ b/usr.bin/truss/powerpc64-fbsd.c
@@ -129,7 +129,7 @@ powerpc64_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
regargs = NARGREG;
syscall_num = regs.fixreg[0];
diff --git a/usr.bin/truss/sparc64-fbsd.c b/usr.bin/truss/sparc64-fbsd.c
index 779d6d8..47302cc 100644
--- a/usr.bin/truss/sparc64-fbsd.c
+++ b/usr.bin/truss/sparc64-fbsd.c
@@ -135,7 +135,7 @@ sparc64_syscall_entry(struct trussinfo *trussinfo, int nargs) {
/*
* FreeBSD has two special kinds of system call redirctions --
* SYS_syscall, and SYS___syscall. The former is the old syscall()
- * routine, basicly; the latter is for quad-aligned arguments.
+ * routine, basically; the latter is for quad-aligned arguments.
*/
syscall_num = regs.r_global[1];
if (syscall_num == SYS_syscall || syscall_num == SYS___syscall) {
OpenPOWER on IntegriCloud